Name:		ojuba-samples
Version:	5
Release:	2%{dist}
Summary:	Sample files for %{version}
URL:		http://linux.ojuba.org
Group:		Application/Mulitmedia
License:	redistributable
Source0:	ojuba-samples.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl
# needed for ملحوظات الإصدارة link
Requires:	ojuba-release-notes >= 4.0.0-7
%description 
Ojuba Samples in various file formats.

%package -n ojuba-samples-thawab
Summary:	Sample files for Thawab
Group:		Applications/Productivity
License:	Waqf
URL:		http://thawab.ojuba.org
%description -n ojuba-samples-thawab
Sample books for Thawab

%prep
%setup -q -n %{name}
# grep -v '\.svg$' samples-list.txt > .samples-list.txt
# perl -l -i -wpe 's:^:"'%{_datadir}'/:;s:$:":' .samples-list.txt
# perl -l -i -wpe 's:^:"'%{_datadir}'/:;s:$:":' samples-thwab-list.txt
%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/samples
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/ojuba-templates
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/thawab/db
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d
install -m 755 zz-samples.sh $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/

cp -p -r samples $RPM_BUILD_ROOT%{_datadir}/
cp -p -r ojuba-templates $RPM_BUILD_ROOT%{_datadir}/
( cd thawab-basic
ls *.ki > ../.thawab-basic.ls
cp -p *.ki $RPM_BUILD_ROOT%{_datadir}/thawab/db
)
( cd thawab-more
ls *.ki > ../.thawab-more.ls
cp -p *.ki $RPM_BUILD_ROOT%{_datadir}/thawab/db
)

perl -i -wpe 's:^:%{_datadir}/thawab/db/:' .thawab-basic.ls .thawab-more.ls

find $RPM_BUILD_ROOT%{_datadir}/samples -iname '*.svg' -delete

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/applications/ojuba-samples.desktop
[Desktop Entry]
Name=Samples
Name[ar]=عينات
Comment=Ojuba Sample Files
Comment[ar]=ملفات من العينات لنظام أعجوبة
Exec=xdg-open %{_datadir}/samples/
Icon=help-about
Terminal=false
Type=Application
Categories=System;Documentation;
EOF

%posttrans
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi

%postun
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi


%files -f .thawab-basic.ls
%defattr(-,root,root,-)
%doc LICENSE-en LICENSE-ar.txt
%{_datadir}/samples
%{_datadir}/ojuba-templates
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_datadir}/applications/ojuba-samples.desktop

%files -n ojuba-samples-thawab -f .thawab-more.ls
%doc LICENSE-en LICENSE-ar.txt

%changelog
* Wed Jul 28 2010  Muayyad Alsadi <alsadi@ojuba.org> - 4-7
- use new ojuba-docs package

* Fri Jun 18 2010  Muayyad Alsadi <alsadi@ojuba.org> - 4-5
- generate ki files with latest thawab

* Fri Jun 18 2010  Muayyad Alsadi <alsadi@ojuba.org> - 4-4
- add missing Requires

* Fri Jun 18 2010  Muayyad Alsadi <alsadi@ojuba.org> - 4-3
- add .ki files

* Thu Jun 17 2010  Muayyad Alsadi <alsadi@ojuba.org> - 4-1
- remove .th files

* Sat Sep 12 2009  Muayyad Alsadi <alsadi@ojuba.org> - 3-3
- update user manual pdf file

* Fri Aug 28 2009  Muayyad Alsadi <alsadi@ojuba.org> - 3-1
- update zz-samples.sh script

* Sat Jan 31 2009  Muayyad Alsadi <alsadi@ojuba.org> - 2-6
- update documents

* Mon Jan 26 2009  Muayyad Alsadi <alsadi@ojuba.org> - 2-5
- add sample books for Thwab

* Sat Jan 24 2009  Muayyad Alsadi <alsadi@ojuba.org> - 2-4
- fix the script

* Sat Jan 24 2009  Muayyad Alsadi <alsadi@ojuba.org> - 2-3
- add some thwab books

* Sun Dec 07 2008  Muayyad Alsadi <alsadi@ojuba.org> - 2-2
- move basmalah to another package

* Sun Dec 07 2008  Muayyad Alsadi <alsadi@ojuba.org> - 2-1
- ojuba2 samples

* Thu Jul 24 2008  Muayyad Alsadi <alsadi@ojuba.org> - 1-2
- more samples

* Sun May 25 2008  Muayyad Alsadi <alsadi@ojuba.org> - 1-1
- Initial release

